Subject: Re: bug#20489: 25.0.50; next-error-find-buffer chooses non-current buffer without good reason

From: Dmitry Gutov <[email-masked]>
Date: Wed, 7 Mar 2018 16:08:59 +0200

On 3/7/18 12:25 AM, Juri Linkov wrote:

> I created such complex solution to work around the peculiarities of xref:
> navigating with next-error displays every new opened buffer in another window,
> thus eventually obscuring the *xref* buffer itself.

That's odd. I remember having such problems before, but not since Joao's 
efforts landed in 2a973edeacefcabb9fd8024188b7e167f0f9a9b6.

> Could you change xref
> to use the same logic as is used in compilation/grep that shows all next-error
> places in the same window adjacent to the initial window with the list of
> compilation errors or grep hits that are always visible on the screen.

More generally, if such behavior is desirable by all next-error-function 
setups, shouldn't next-error somehow enforce it? Or provide helpers, at 
least.

Anyway, it works fine for me in xref already. Do you have a repro 
scenario in Emacs master?